# I3dShAnimation.h File Reference

## Classes
struct | I3DShTimeManager
struct | IForEachTimeLineCallback
struct | I3DShTimeBasedData
struct | ITimeBased
struct | I3DShParamInfo
struct | I3DShParamTimeLine
## Defines
#define | kCheckAllParams -1
#define | kAutoParamID '****'
## Functions
| MCDEFINE_GUID_SAFELIB (IID_I3DShTimeManager, 0x8c34ab4c, 0xd62a, 0x11d1, 0x84, 0x3, 0x0, 0x60, 0x97, 0xb, 0xc5, 0x21)
| MCDEFINE_GUID_SAFELIB (IID_ITimeBased, 0x39728dec, 0xc6d2, 0x11d2, 0xb3, 0xca, 0x30, 0x78, 0x30, 0x2c, 0x20, 0x30)
| MCDEFINE_GUID_SAFELIB (IID_I3DShTimeBasedData, 0x8c34ab4d, 0xd62a, 0x11d1, 0x84, 0x3, 0x0, 0x60, 0x97, 0xb, 0xc5, 0x21)
| MCDEFINE_GUID_SAFELIB (IID_I3DParamInfo, 0x3c485821, 0xf655, 0x11d1, 0xab, 0x2c, 0x0, 0x60, 0x8, 0x15, 0xad, 0x45)
| MCDEFINE_GUID_SAFELIB (IID_I3DParamTimeLine, 0x3c485822, 0xf655, 0x11d1, 0xab, 0x2c, 0x0, 0x60, 0x8, 0x15, 0xad, 0x45)
| MCDEFINE_GUID_SAFELIB (CLSID_StandardTimeBasedData, 0xff26f5cc, 0x4774, 0x11d2, 0x8f, 0x44, 0x0, 0x60, 0x97, 0x98, 0xe7, 0x7d)

## Define Documentation

#define kAutoParamID '****'

#define kCheckAllParams -1

## Function Documentation

MCDEFINE_GUID_SAFELIB | ( | CLSID_StandardTimeBasedData | ,
|  | 0xff26f5cc | ,
|  | 0x4774 | ,
|  | 0x11d2 | ,
|  | 0x8f | ,
|  | 0x44 | ,
|  | 0x0 | ,
|  | 0x60 | ,
|  | 0x97 | ,
|  | 0x98 | ,
|  | 0xe7 | ,
|  | 0x7d |  |
| ) |  |  |

MCDEFINE_GUID_SAFELIB | ( | IID_I3DParamTimeLine | ,
|  | 0x3c485822 | ,
|  | 0xf655 | ,
|  | 0x11d1 | ,
|  | 0xab | ,
|  | 0x2c | ,
|  | 0x0 | ,
|  | 0x60 | ,
|  | 0x8 | ,
|  | 0x15 | ,
|  | 0xad | ,
|  | 0x45 |  |
| ) |  |  |

MCDEFINE_GUID_SAFELIB | ( | IID_I3DParamInfo | ,
|  | 0x3c485821 | ,
|  | 0xf655 | ,
|  | 0x11d1 | ,
|  | 0xab | ,
|  | 0x2c | ,
|  | 0x0 | ,
|  | 0x60 | ,
|  | 0x8 | ,
|  | 0x15 | ,
|  | 0xad | ,
|  | 0x45 |  |
| ) |  |  |

MCDEFINE_GUID_SAFELIB | ( | IID_I3DShTimeBasedData | ,
|  | 0x8c34ab4d | ,
|  | 0xd62a | ,
|  | 0x11d1 | ,
|  | 0x84 | ,
|  | 0x3 | ,
|  | 0x0 | ,
|  | 0x60 | ,
|  | 0x97 | ,
|  | 0xb | ,
|  | 0xc5 | ,
|  | 0x21 |  |
| ) |  |  |

MCDEFINE_GUID_SAFELIB | ( | IID_ITimeBased | ,
|  | 0x39728dec | ,
|  | 0xc6d2 | ,
|  | 0x11d2 | ,
|  | 0xb3 | ,
|  | 0xca | ,
|  | 0x30 | ,
|  | 0x78 | ,
|  | 0x30 | ,
|  | 0x2c | ,
|  | 0x20 | ,
|  | 0x30 |  |
| ) |  |  |

MCDEFINE_GUID_SAFELIB | ( | IID_I3DShTimeManager | ,
|  | 0x8c34ab4c | ,
|  | 0xd62a | ,
|  | 0x11d1 | ,
|  | 0x84 | ,
|  | 0x3 | ,
|  | 0x0 | ,
|  | 0x60 | ,
|  | 0x97 | ,
|  | 0xb | ,
|  | 0xc5 | ,
|  | 0x21 |  |
| ) |  |  |